#include <bits/stdc++.h>
using namespace std;
pair <long long,int>  w[105],tmp[105];
int main(){
	int n,i,j,z,f,team1[105],tot=0;
	long long w1,w2,bestswap,ans=100000000000000000;
	cin>>n;
	for(i=1; i<=n; i++){
	   cin>>w[i].first;
	   w[i].second=i;
    }
    for (z=1; z<150000; z++){
        random_shuffle(w+1,w+n+1);
        for (i=1; i<=n; i++) tmp[i]=w[i];
        w1=0; w2=0;
        for(i=1; i<=n/2; i++) w1+=tmp[i].first;
        for(i=n/2+1; i<=n; i++) w2+=tmp[i].first;
        while(1){
        	f=1;
          	for(i=1; i<=n/2; i++) 
           	   for(j=n/2+1; j<=n; j++)
       	          if (abs(w1-w2-2*tmp[i].first+2*tmp[j].first)<abs(w1-w2)){
       	            w1+=-tmp[i].first+tmp[j].first;
       	            w2+=tmp[i].first-tmp[j].first;
       	            swap(tmp[i],tmp[j]);
       	            tot++;
       	            f=0;
				  }
	    	if (f) break;
        }
        if (abs(w1-w2)<ans){
		       ans=abs(w1-w2);
		       for (i=1; i<=n/2; i++) team1[i]=tmp[i].second;
	    }
    }
    sort(team1+1,team1+n/2+1);
    cout<<n/2;
    for (i=1; i<=n/2; i++) cout<<" "<<team1[i];
	return 0;
}
